-- fairy wings
minetest.register_tool("gear_up:fairy_wings", {
	description = ("Fairy Wings \n"..
		core.colorize("#aaaaaa","Equipable \n")..
		""..
		core.colorize("#aaaaaa","14.25 Flight Time \n")..
		""..
		core.colorize("#aaaaaa","0.28 Flight Force \n")..
		""..
		core.colorize("#aaaaaa","Allows slow fall \n")..
		""),
	inventory_image = "fairy_wings_inv.png",
	acc_hpBonus = 0,
	acc_flight_time = 14.25,
	acc_flight_force = 0.28,

	acc_slot = "wing_acc",

	acc_size_body = ({x=3.0,y=3.0}),
	acc_model_body = ("accessory_wings.b3d"),
	acc_texture_body = ("fairy_wings.png"),
	acc_pos_body = {x=0,y=4.0,z=-1.1},
	acc_anim_body = {x=1,y=20},

	groups = {body_accessory = 1,acc_wings=1},
})

minetest.register_craft({
	output = "gear_up:fairy_wings 1",
	recipe = {
		{"wool:white", "wool:orange", "wool:orange"},
		{"wool:orange", "gear_up:wooden_wingbase", "wool:orange"},
		{"wool:black", "wool:orange", ""},
	}
})

-- fairy antennae
minetest.register_tool("gear_up:fairy_antennae", {
	description = ("Fairy Antennae \n"..
		core.colorize("#aaaaaa","Equipable \n")..
		""..
		core.colorize("#aaaaaa","+5% walking speed \n")..
		""),
	inventory_image = "fairy_antennae_inv.png",
	acc_walkSpeed = 0.05,

	acc_slot = "headtop_acc",
	acc_size_head = ({x=2.25,y=2.25}),
	acc_model_head = ("accessory_cat_ears.b3d"),
	acc_texture_head = ("fairy_antennae.png"),
	acc_pos_head = {x=0,y=2.2,z=0},
	acc_anim_head = {x=0,y=0},
	acc_glow_head = 10,

	groups = {head_accessory = 1},
})

minetest.register_craft({
	output = "gear_up:fairy_antennae 1",
	recipe = {
		{"default:gold_ingot", "", "default:gold_ingot"},
		{"group:stick", "", "group:stick"},
		{"farming:string", "", "farming:string"},
	}
})

-- fairy slippers
minetest.register_tool("gear_up:fairy_slippers", {
	description = ("Fairy Slippers\n"..
		core.colorize("#aaaaaa","Equipable \n")..
		""..
		core.colorize("#aaaaaa","+5% Walking speed ")..
		""),
	inventory_image = "fairy_slippers_inv.png",
	acc_defense = 1,
	acc_walkSpeed = 0.05,

	acc_slot = "boots_acc",

	acc_size_l_leg = ({x=2.55,y=2.55}),
	acc_model_l_leg = ("winged_boot.b3d"),
	acc_texture_l_leg = ("fairy_l_slipper.png"),
	acc_pos_l_leg = {x=0,y=4.75,z=0},
	acc_anim_l_leg = {x=0,y=0},

	acc_size_r_leg = ({x=2.55,y=2.55}),
	acc_model_r_leg = ("winged_boot.b3d"),
	acc_texture_r_leg = ("fairy_r_slipper.png"),
	acc_pos_r_leg = {x=0,y=4.75,z=0},
	acc_anim_r_leg = {x=0,y=0},

	groups = {l_leg_accessory = 1,r_leg_accessory = 1},
})

minetest.register_craft({
	output = "gear_up:fairy_slippers 1",
	recipe = {
		{"", "", "default:mese_crystal"},
		{"default:gold_ingot", "gear_up:padded_boots", ""},
	}
})
